=== debian/changelog ===
cwltool (3.1.20221008225030-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Update lintian override info to new format on line 1, 2, 3.
  * Refresh disable_prov
  * build-dep on python3-cwl-utils
  * most <!nocheck> markers should also have <!nodoc> due to how
    we build the manual page
  * skip test_http_input.py as pytest-httpserver is not yet packaged for
    Debian

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 16 Oct 2022 16:14:56 +0200
