=== debian/changelog ===
cwltool (3.1.20221109155812-1) unstable; urgency=medium

  * New upstream version
  * d/rules,d/tests/run-test: ignore another udocker test

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 18 Nov 2022 14:07:57 +0100
