=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                python3-pytest-runner <!nocheck>,
                python3-pytest-mock <!nocheck>,
                python3-mock <!nocheck>,
-               python3-cwl-utils ( >> 0.20) <!nocheck> <!nodoc>,
+               python3-cwl-utils <!nocheck> <!nodoc>,
                python3-mypy-extensions <!nocheck> <!nodoc>,
                python3-psutil <!nocheck> <!nodoc>,
                python3-prov <!nocheck> <!nodoc>,
@@ -46,11 +46,11 @@
          python3-mypy-extensions,
          python3-arcp,
          python3-argcomplete,
-         python3-cwl-utils ( >> 0.20),
+         python3-cwl-utils,
          python3-distutils
 Recommends: nodejs
+Suggests: podman | docker.io | singularity-container
 Breaks: toil (<< 5.6)
-Suggests: podman | docker.io | singularity-container
 Provides: cwl-runner
 Description: Common Workflow Language reference implementation
  This is the reference implementation of the Common Workflow Language
