## cwltool 3.1.20230201224320

=== debian/changelog ===
cwltool (3.1.20230201224320-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Update lintian override info format in d/cwltool.lintian-overrides on line
    5.
  * refresh patches
  * add build-dep for pybuild-plugin-pyproject
  * require schema-salad 8.4

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 03 Feb 2023 18:43:09 +0100
