=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 rdflib>=4.2.2,<6.3
 rdflib>= 4.2.2, < 6.0.0;python_version<='3.6'
 shellescape>=3.4.1,<3.9
-schema-salad>=8.2.20211104054942,<9
+schema-salad>=8.4,<9
 prov==1.5.1
 bagit==1.8.1
 mypy-extensions
@@ -15,4 +15,4 @@
 argcomplete>=1.12.0
 pyparsing != 3.0.2  # breaks --print-dot (pydot) https://github.com/pyparsing/pyparsing/issues/319
 pyparsing < 3;python_version<='3.6'  # breaks --print-dot
-cwl-utils>=0.19
+cwl-utils>=0.22
