=== debian/changelog ===
cwltool (3.1.20230209161050-1) unstable; urgency=medium

  * New upstream version
    Tests no longer produce side-effects. Closes: #1030713, #1030714
  * Refresh patches.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 09 Feb 2023 18:18:06 +0100
