=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
                procps <!nocheck>,
                python3,
                python3-all,
+               pybuild-plugin-pyproject,
                python3-setuptools,
                python3-coloredlogs <!nocheck> <!nodoc>,
                python3-rdflib <!nocheck>,
                python3-rdflib-jsonld <!nocheck>,
-               python3-schema-salad (>=8.2.20211104054942) <!nocheck> <!nodoc>,
+               python3-schema-salad (>=8.4) <!nocheck> <!nodoc>,
                python3-shellescape <!nocheck> <!nodoc>,
                python3-html5lib <!nocheck>,
                python3-sparqlwrapper <!nocheck>,
@@ -33,7 +34,7 @@
                python3-typing-extensions <!nocheck> <!nodoc>,
                nodejs <!nocheck>,
                help2man
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/cwltool
 Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
 Homepage: https://www.commonwl.org
