=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
 	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
 	        --ignore-glob "*test_http_input.py" \
-		-k 'not (test_http_path_mapping or test_get_subgraph or test_udocker_usage_should_not_write_cid_file or test_udocker_should_display_memory_usage or test_content_types or test_get_step)' \
+		-k 'not (test_http_path_mapping or test_get_subgraph or test_udocker_usage_should_not_write_cid_file or test_udocker_should_display_memory_usage or test_content_types or test_get_step or test_udocker_nobanner)' \
 		-n auto --ignore cwltool/schemas/ -rs --pyargs cwltool" dh_auto_test
 	find .pybuild -name "out" -type f -delete
 endif
