=== debian/changelog ===
cwltool (3.1.20230906142556-1) unstable; urgency=medium

  * New upstream version
  * Drop two patches applied upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 06 Sep 2023 17:28:30 +0200

cwltool (3.1.20230719185429-3) unstable; urgency=medium

  * d/control: The tests expect a newer version of schema-salad.
  * d/tests/run-unit-test: increase verbosity

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 23 Aug 2023 13:30:50 +0200

cwltool (3.1.20230719185429-2) unstable; urgency=medium

  * d/control: Update breaks for Toil to be less than 5.11.0.
  * d/test/run-tests: cleanup temp directory automatically.
  * debian/patches/test_relax_whitespace_check: add patch to fix a test
    that was having issues with varying terminal widths.
  * d/control: add jq to build-deps to enable another test.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 22 Aug 2023 16:23:14 +0200

cwltool (3.1.20230719185429-1) unstable; urgency=medium

  * New upstream version
  * d/control: add build-dep on python3-importlib-resources
  * d/control: require setuptools, not distutilts

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 08 Aug 2023 20:49:27 +0200

cwltool (3.1.20230601100705-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Refresh patches.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 09 Jun 2023 17:15:42 +0200
