=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                procps <!nocheck>,
                python3,
                python3-all,
                pybuild-plugin-pyproject,
                python3-setuptools,
+               python3-importlib-resources (>> 6) <!nocheck>,
                python3-coloredlogs <!nocheck> <!nodoc>,
                python3-rdflib <!nocheck>,
                python3-rdflib-jsonld <!nocheck>,
-               python3-schema-salad (>=8.4) <!nocheck> <!nodoc>,
+               python3-schema-salad (>=8.4.20230808163024) <!nocheck> <!nodoc>,
                python3-shellescape <!nocheck> <!nodoc>,
                python3-html5lib <!nocheck>,
                python3-sparqlwrapper <!nocheck>,
@@ -33,6 +34,7 @@
                python3-argcomplete <!nocheck> <!nodoc>,
                python3-typing-extensions <!nocheck> <!nodoc>,
                nodejs <!nocheck>,
+               jq <!nocheck>,
                help2man
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/cwltool
@@ -48,10 +50,10 @@
          python3-arcp,
          python3-argcomplete,
          python3-cwl-utils,
-         python3-distutils
+         python3-setuptools
 Recommends: nodejs
 Suggests: podman | docker.io | singularity-container
-Breaks: toil (<< 5.6)
+Breaks: toil (<< 5.12.0)
 Provides: cwl-runner
 Description: Common Workflow Language reference implementation
  This is the reference implementation of the Common Workflow Language
