=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-pytest-xdist, python3-pytest-mock, python3-pytest-runner, nodejs, curl, python3-mock, procps, python3-pytest (>> 6.2), jq
Restrictions: allow-stderr
