=== docs/requirements.txt ===
sphinx >= 2.2
sphinx-rtd-theme==2.0.0
sphinx-autoapi
sphinx-autodoc-typehints
sphinxcontrib-autoprogram
importlib_resources;python_version<'3.9'
