=== debian/changelog ===
cwltool (3.1.20240112164112-2) unstable; urgency=medium

  * d/control: removed unused dependency on python3-rdflib-jsonld. That
    functionality has been a part of python3-rdflib since 6.x.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Jan 2024 16:39:23 +0100

cwltool (3.1.20240112164112-1) unstable; urgency=medium

  * New upstream version
  * refresh prov-disabling patch.
  * d/control: remove outdated build-deps, add spython.
  * update prov patch

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jan 2024 12:35:17 +0100
