=== debian/control ===
--- 
+++ 
@@ -10,10 +10,9 @@
                python3-all,
                pybuild-plugin-pyproject,
                python3-setuptools,
-               python3-importlib-resources (>> 6) <!nocheck>,
+               python3-setuptools-scm,
                python3-coloredlogs <!nocheck> <!nodoc>,
-               python3-rdflib <!nocheck>,
-               python3-rdflib-jsonld <!nocheck>,
+               python3-rdflib (>> 6) <!nocheck>,
                python3-schema-salad (>=8.4.20230808163024) <!nocheck> <!nodoc>,
                python3-shellescape <!nocheck> <!nodoc>,
                python3-html5lib <!nocheck>,
@@ -24,15 +23,14 @@
                python3-pytest-xdist <!nocheck>,
                python3-pytest-runner <!nocheck>,
                python3-pytest-mock <!nocheck>,
-               python3-mock <!nocheck>,
-               python3-cwl-utils <!nocheck> <!nodoc>,
+               python3-cwl-utils (>= 0.32) <!nocheck> <!nodoc>,
                python3-mypy-extensions <!nocheck> <!nodoc>,
                python3-psutil <!nocheck> <!nodoc>,
                python3-prov <!nocheck> <!nodoc>,
                python3-arcp <!nocheck>,
                python3-pydot <!nocheck> <!nodoc>,
                python3-argcomplete <!nocheck> <!nodoc>,
-               python3-typing-extensions <!nocheck> <!nodoc>,
+               python3-spython <!nocheck> <!nodoc>,
                nodejs <!nocheck>,
                jq <!nocheck>,
                help2man
