=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export HOME=$(shell echo $$PWD"/fakehome")
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 debian/cwltool.1: debian/rules debian/cwltool.help2man
 	python3 setup.py develop --user
