## cwltool 3.1.20240404144621

=== debian/changelog ===
cwltool (3.1.20240404144621-2) unstable; urgency=medium

  * No-change source-only upload.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 15 Apr 2024 11:39:23 +0200

cwltool (3.1.20240404144621-1) unstable; urgency=medium

  * New upstream version
  * d/upstream/metadata: mention the CACM paper.
  * d/{control,rules}: build and package the HTML docs.
  * d/control: link to the Read The Docs page for cwltool, not the main
    CWL project website.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Apr 2024 16:48:33 +0300
