=== debian/control ===
--- 
+++ 
@@ -5,12 +5,18 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                procps <!nocheck>,
                python3,
                python3-all,
                pybuild-plugin-pyproject,
                python3-setuptools,
                python3-setuptools-scm,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-autoapi <!nodoc>,
+               python3-sphinx-autodoc-typehints <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
+               python3-sphinxcontrib.autoprogram <!nodoc>,
                python3-coloredlogs <!nocheck> <!nodoc>,
                python3-rdflib (>> 6) <!nocheck>,
                python3-schema-salad (>=8.4.20230808163024) <!nocheck> <!nodoc>,
@@ -37,7 +43,7 @@
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/cwltool
 Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
-Homepage: https://www.commonwl.org
+Homepage: https://cwltool.readthedocs.io/
 Rules-Requires-Root: no
 
 Package: cwltool
@@ -50,7 +56,7 @@
          python3-cwl-utils,
          python3-setuptools
 Recommends: nodejs
-Suggests: podman | docker.io | singularity-container
+Suggests: podman | docker.io | singularity-container, cwltool-doc
 Breaks: toil (<< 5.12.0)
 Provides: cwl-runner
 Description: Common Workflow Language reference implementation
@@ -67,3 +73,22 @@
  The CWL reference implementation (cwltool) is intended to be feature complete
  and to provide comprehensive validation of CWL files as well as provide other
  tools related to working with CWL descriptions.
+
+Package: cwltool-doc
+Architecture: all
+Built-Using: ${sphinxdoc:Built-Using}
+Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Description: Common Workflow Language reference implementation -- docs
+ This is the docs for the reference implementation of the Common Workflow
+ Language standards.
+ .
+ The CWL open standards are for describing analysis workflows and tools in a
+ way that makes them portable and scalable across a variety of software and
+ hardware environments, from workstations to cluster, cloud, and high
+ performance computing (HPC) environments. CWL is designed to meet the needs of
+ data-intensive science, such as Bioinformatics, Medical Imaging, Astronomy,
+ Physics, and Chemistry.
+ .
+ The CWL reference implementation (cwltool) is intended to be feature complete
+ and to provide comprehensive validation of CWL files as well as provide other
+ tools related to working with CWL descriptions.
