=== debian/changelog ===
cwltool (3.1.20240508115724-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 18 Jun 2024 18:24:58 +0200
