## cwltool 3.1.20240708091337

=== debian/changelog ===
cwltool (3.1.20240708091337-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 07 Sep 2024 13:39:14 +0200
