=== requirements.txt ===
requests>=2.6.1
ruamel.yaml>=0.16.0,<0.19
rdflib>=4.2.2,<7.1
shellescape>=3.4.1,<3.9
schema-salad>=8.7,<9
prov==1.5.1
mypy-extensions
psutil>=5.6.6
importlib_resources>=1.4;python_version<'3.9'
coloredlogs
pydot>=1.4.1,<3
argcomplete>=1.12.0
pyparsing!=3.0.2  # breaks --print-dot (pydot) https://github.com/pyparsing/pyparsing/issues/319
cwl-utils>=0.32
spython>=0.3.0
