=== debian/changelog ===
cwltool (3.1.20240909164951-2) unstable; urgency=medium

  * Team Upload
  * Remove last user of old python3-shellescape
  * Apply Multi-Arch: hint

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Sep 2024 13:33:27 +0200

cwltool (3.1.20240909164951-1) unstable; urgency=medium

  * New upstream version
  * refreshed patch

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 12 Sep 2024 15:33:22 +0200
