## cwltool 3.1.20241024121129

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 requests>=2.6.1
 ruamel.yaml>=0.16.0,<0.19
-rdflib>=4.2.2,<7.1
-shellescape>=3.4.1,<3.9
+rdflib>=4.2.2,<7.2
 schema-salad>=8.7,<9
 prov==1.5.1
 mypy-extensions
