=== debian/changelog ===
cwltool (3.1.20241024121129-1) unstable; urgency=medium

  * New upstream version
  * Refreshed patches, dropped "remove-python3-shellescape"
    and "drop-old-deps" as they were applied upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 24 Oct 2024 15:58:56 +0200

cwltool (3.1.20240909164951-3) unstable; urgency=medium

  * Added patch to trim the Python instal_requires to avoid bringing in the
    soon-to-be removed python3-pkg-resources. Closes: #1083349
  * d/patches/remove-python3-shellescape: fix metadata, patch is
    forwarded upstream

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 04 Oct 2024 17:04:41 +0200
