=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
                python3-coloredlogs <!nocheck> <!nodoc>,
                python3-rdflib (>> 6) <!nocheck>,
                python3-schema-salad (>=8.4.20230808163024) <!nocheck> <!nodoc>,
-               python3-shellescape <!nocheck> <!nodoc>,
                python3-html5lib <!nocheck>,
                python3-sparqlwrapper <!nocheck>,
                python3-keepalive <!nocheck>,
@@ -76,6 +75,7 @@
 
 Package: cwltool-doc
 Architecture: all
+Multi-Arch: foreign
 Built-Using: ${sphinxdoc:Built-Using}
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Description: Common Workflow Language reference implementation -- docs
