=== debian/changelog ===
cwltool (3.1.20241112140730-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 16 Dec 2024 00:01:11 +0100
