=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
                nodejs <!nocheck>,
                jq <!nocheck>,
                help2man
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/cwltool
 Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
 Homepage: https://cwltool.readthedocs.io/
