=== debian/changelog ===
cwltool (3.1.20250110105449-2) unstable; urgency=medium

  * Team upload.
  * Drop runtime dependency on python3-setuptools:
    this now uses importlib.metadata from standard library.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 26 Jan 2025 21:27:02 +0100

cwltool (3.1.20250110105449-1) unstable; urgency=medium

  * New upstream version
  * Refreshed the disable_prov patch.
  * docs: link to the other packaged docs.
  * d/control: new {build-}dep: python3-rich-argparse

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 22 Jan 2025 17:50:23 +0100
