=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               dh-sequence-sphinxdoc,
+               dh-sequence-sphinxdoc <!nodoc>,
                procps <!nocheck>,
                python3,
                python3-all,
@@ -17,6 +17,8 @@
                python3-sphinx-autodoc-typehints <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-sphinxcontrib.autoprogram <!nodoc>,
+               python3-doc <!nodoc>,
+               python-rdflib-doc <!nodoc>,
                python3-coloredlogs <!nocheck> <!nodoc>,
                python3-rdflib (>> 6) <!nocheck>,
                python3-schema-salad (>=8.4.20230808163024) <!nocheck> <!nodoc>,
@@ -36,6 +38,7 @@
                python3-pydot <!nocheck> <!nodoc>,
                python3-argcomplete <!nocheck> <!nodoc>,
                python3-spython <!nocheck> <!nodoc>,
+               python3-rich-argparse <!nocheck> <!nodoc>,
                nodejs <!nocheck>,
                jq <!nocheck>,
                help2man
@@ -53,7 +56,6 @@
          python3-arcp,
          python3-argcomplete,
          python3-cwl-utils,
-         python3-setuptools
 Recommends: nodejs
 Suggests: podman | docker.io | singularity-container, cwltool-doc
 Breaks: toil (<< 5.12.0)
@@ -75,6 +77,7 @@
 
 Package: cwltool-doc
 Architecture: all
+Section: doc
 Multi-Arch: foreign
 Built-Using: ${sphinxdoc:Built-Using}
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
