=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,16 @@
 
 DH_VERBOSE := 1
 include /usr/share/dpkg/default.mk
-export PYBUILD_NAME=cwltool
+export PYBUILD_DESTDIR=$(CURDIR)/debian/cwltool
 export PYBUILD_TEST_ARGS=-n=auto
 export PYBUILD_AFTER_TEST=rm -Rf {build_dir}/tmp/ {build_dir}/main.cwl {build_dir}/output.txt*
 export HOME=$(shell echo $$PWD"/fakehome")
 
 %:
 	dh $@ --buildsystem=pybuild
+
+execute_after_dh_auto_build:
+	PYTHONPATH=$(CURDIR)/cwltool $(MAKE) docs
 
 debian/cwltool.1: debian/rules debian/cwltool.help2man
 	python3 setup.py develop --user
@@ -23,8 +26,7 @@
 override_dh_installman:
 endif
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	find debian -name '*.cwl' -exec chmod a+x {} \;
 	find debian -name '*.json' -exec chmod a-x {} \;
